{
	saved_FirstTime[0]
	
	Init[()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetUsable(1);
			SetUseText(450);
		}
	}]

	OnUse[()
	{
		if(GetID()="Beacon")
		{
			Level.saved_BeaconRetrieved=1;
			Level.ObjectiveComplete(0);
			Level.SetObjectiveActive(1,1);
			SetUsable(0);
			ShowEntity(0);	
		}	
	}]
}